<?php

/*
  Plugin Name: StorePep WooCommerce App Integration
  Plugin URI: http://www.storepep.com
  Description: Sends push notification to StorePep WooCommerce App whenever a new order is placed in the WooCommerce Store.
  Version: 1.0.0
  Author: storpep
  Author URI: http://www.storepep.com
  License: GPL 3.0
 */

add_action('woocommerce_checkout_order_processed', 'custom_process_order');

function custom_process_order($order_id) {
    try {
        $order = new WC_Order($order_id);
        $myuser_id = (int) $order->user_id;
        $order_total = (float) $order->get_total();
        $site_currency = get_woocommerce_currency();
        $shop_url = site_url();
        $message = 'OrderID:'.$order_id.'.Amount:'.$order_total.$site_currency;
        $ch = curl_init();
        curl_setopt($ch, CURLOPT_URL, "http://54.213.176.37/storepep-send-notification.php?message=".$message."&shop_url=".$shop_url);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
        $server_output = curl_exec($ch);
        curl_close($ch);
    } catch (Exception $e) {
        // Do Nothing.
    }
}